import {
	WeaTools
} from 'ecCom'

export const getAuth = (params) => {
	return WeaTools.callApi('/api/hrm/applyinfo/getHasRight', 'GET', params);
}

export const getButtonsMenu = (params) => {
	return WeaTools.callApi('/api/hrm/applyinfo/getRightMenu', 'GET', params);
}

export const getSearchCondition = (params) => {
	return WeaTools.callApi('/api/hrm/applyinfo/getSearchCondition', 'GET', params);
}

export const deleteTableInfo = (params) => {
	return WeaTools.callApi('/api/hrm/applyinfo/delete', 'POST', params);
}

export const getSearchList = (params) => {
	return WeaTools.callApi('/api/hrm/applyinfo/getSearchList', 'GET', params);
}

export const getHrmShareList = (params) => {
	return WeaTools.callApi('/api/hrm/applyinfo/getHrmShareList', 'GET', params);
}

export const getApplyInfoForm = (params) => {
	return WeaTools.callApi('/api/hrm/applyinfo/getApplyInfoForm', 'GET', params);
}

export const getHrmShareForm = (params) => {
	return WeaTools.callApi('/api/hrm/applyinfo/getHrmShareForm', 'GET', params);
}

export const getEmailInfoForm = (params) => {
	return WeaTools.callApi('/api/hrm/applyinfo/getEmailInfoForm', 'GET', params);
}

export const add = (params) => {
	return WeaTools.callApi('/api/hrm/applyinfo/add', 'POST', params);
}

export const edit = (params) => {
	return WeaTools.callApi('/api/hrm/applyinfo/edit', 'POST', params);
}

export const sendEmail = (params) => {
	return WeaTools.callApi('/api/hrm/applyinfo/sendEmail', 'POST', params);
}

export const getPersonalInfo = (params) => {
	return WeaTools.callApi('/api/hrm/applyinfo/getPersonalInfo', 'GET', params);
}

export const getWorkInfo = (params) => {
	return WeaTools.callApi('/api/hrm/applyinfo/getWorkInfo', 'GET', params);
}

export const addPersonalInfo = (params) => {
	return WeaTools.callApi('/api/hrm/applyinfo/addPersonalInfo', 'POST', params);
}

export const addWorkInfo = (params) => {
	return WeaTools.callApi('/api/hrm/applyinfo/addWorkInfo', 'POST', params);
}

export const getHrmResourceAddForm = (params) => {
	return WeaTools.callApi('/api/hrm/resource/add/getHrmResourceAddForm', 'GET', params);
}

export const addEmploymentInfo = (params) => {
	return WeaTools.callApi('/api/hrm/resource/add/save', 'POST', params);
}

export const printApplyInfo = (params) => {
	return WeaTools.callApi('/api/hrm/applyinfo/printApplyInfo', 'GET', params);
}

export const deleteHrmShare = (params) => {
	return WeaTools.callApi('/api/hrm/applyinfo/deleteHrmShare', 'POST', params);
}

export const addHrmShare = (params) => {
	return WeaTools.callApi('/api/hrm/applyinfo/addHrmShare', 'POST', params);
}

export const getEmploymentInfo = (params) => {
	return WeaTools.callApi('/api/hrm/applyinfo/getEmploymentInfo', 'GET', params);
}

export const getInterviewPlanForm = (params) => {
	return WeaTools.callApi('/api/hrm/applyinfo/getInterviewPlanForm', 'GET', params);
}

export const saveInterviewPlan = (params) => {
	return WeaTools.callApi('/api/hrm/applyinfo/saveInterviewPlan', 'POST', params);
}

export const getInterviewResultForm = (params) => {
	return WeaTools.callApi('/api/hrm/applyinfo/getInterviewResultForm', 'GET', params);
}

export const getInterviewAssessList = (params) => {
	return WeaTools.callApi('/api/hrm/applyinfo/getInterviewAssessList', 'GET', params);
}

export const getInterviewTestList = (params) => {
	return WeaTools.callApi('/api/hrm/applyinfo/getInterviewTestList', 'GET', params);
}

export const saveInterviewResult = (params) => {
	return WeaTools.callApi('/api/hrm/applyinfo/saveInterviewResult', 'POST', params);
}

export const getInterviewAssessForm = (params) => {
	return WeaTools.callApi('/api/hrm/applyinfo/getInterviewAssessForm', 'GET', params);
}

export const saveInterviewAssess = (params) => {
	return WeaTools.callApi('/api/hrm/applyinfo/saveInterviewAssess', 'POST', params);
}

export const saveApplyInfoToResource = (params) => {
	return WeaTools.callApi('/api/hrm/applyinfo/saveApplyInfoToResource', 'POST', params);
}

export const hrmResourceCheck = (params) => {
	return WeaTools.callApi('/api/hrm/resource/hrmResourceCheck', 'GET', params);
}